Retrieves the metadata of the specified memory store.
Prerequisites
Endpoint and authentication configured. For details, see Overview and authentication.
Endpoint
GET /memory_stores/{memory_store_id}
Path parameters
| Field | Required | Type | Description |
|---|---|---|---|
memory_store_id | Yes | string | Memory store ID |
Request example
Response example
Response fields
| Field | Type | Description |
|---|---|---|
id | string | |
type | string | |
name | string | |
description | string | |
metadata | object | |
archived_at | string | null | |
created_at | string | |
updated_at | string |
Error codes
| HTTP status | Error code | Description |
|---|---|---|
| 401 | InvalidApiKey | API key missing, invalid, or expired |
| 403 | permission_error | Insufficient identity or resource access permissions |
| 404 | not_found_error | Resource does not exist or does not belong to the current workspace |